package ims;

import java.io.*;
import java.util.*;



//IMS Characteristics Class

public class imsClassification extends Any{

  public imsLangString purpose; 
  public imsLangString description;
  public imsLangString[] keywords;
  
  public imsTaxonPath[] taxonpath;


  
  public imsClassification(imsLangString aPurpose, imsLangString aDescription,
			    imsLangString[] aKeyWords) {
      
      purpose = aPurpose;
      description = aDescription; 
      keywords = aKeyWords; 
      
      taxonpath = null;
  }
  
  public imsClassification(imsLangString aPurpose, imsTaxonPath[] aTaxonPath, 
                           imsLangString aDescription, imsLangString[] aKeyWords) {
      
      purpose = aPurpose;
      description = aDescription; 
      keywords = aKeyWords; 
      taxonpath = aTaxonPath;
  }
  
  public String imsWrite2XMLString() {

    StringBuffer sb = new StringBuffer("<CLASSIFICATION>\n");

    sb.append("<PURPOSE>\n"+purpose.imsWrite2XMLString()+"</PURPOSE>\n"); 
    sb.append("<DESCRIPTION>\n"+description.imsWrite2XMLString()+"</DESCRIPTION>\n"); 

    if(taxonpath != null) {
      sb.append("<TAXONPATH>\n");
      for(int i=0; i < taxonpath.length; i++)
        taxonpath[i].imsWrite2XMLString();
      sb.append("</TAXONPATH>\n");
    }
	
    if(keywords != null) {
      sb.append("<KEYWORDS>\n");
      for(int i=0; i<keywords.length; i++)
        sb.append(keywords[i].imsWrite2XMLString());
      sb.append("</KEYWORDS>\n");
    }
    
    sb.append("</CLASSIFICATION>\n");
    return sb.toString();
  }

}
