package ims;

import java.awt.*;
import java.awt.event.*; 
import java.util.*;



//IMS Technical Class

public class  imsTechnical extends Any{
  
  public imsLangString[] format;
  public imsLocation[] location;

  public String size;
  public imsRequirements[] requirements;
  public imsLangString installationremarks;
  public imsLangString otherplatformrequirements;
  public imsDateTime duration;
    
  public imsTechnical(imsLangString[] aFormat, imsLocation[] aLocation) {
      format = aFormat;
      location = aLocation;

      size = null;
      requirements = null;
      installationremarks = null;
      otherplatformrequirements = null;
      duration = null;
  }
    
  public imsTechnical(imsLangString[] aFormat, imsLocation[] aLocation, String aSize, imsRequirements[] aRequirement, imsLangString aInstallationRemarks, imsLangString aOtherPlatformRequirements, imsDateTime aDuration) {
      format = aFormat;
      location = aLocation;

      size = aSize;
      requirements = aRequirement;
      installationremarks = aInstallationRemarks;
      otherplatformrequirements = aOtherPlatformRequirements;
      duration = aDuration;
  }
  
  public String imsWrite2XMLString() {

    StringBuffer sb = new StringBuffer("<TECHNICAL>\n");
    
    sb.append("<FORMAT>");
    for(int i=0; i < format.length; i++)
      sb.append(format[i].imsWrite2XMLString());
    sb.append("</FORMAT>\n");
	
    for(int i=0; i<location.length; i++)
      sb.append(location[i].imsWrite2XMLString());

    if(requirements != null) {    
      for(int i=0; i<requirements.length; i++)
        sb.append(requirements[i].imsWrite2XMLString());
    }
    
    if(installationremarks != null)
      sb.append("<INSTALLATIONREMARKS>\n"+installationremarks.imsWrite2XMLString()+"</INSTALLATIONREMARKS>\n");

    if(otherplatformrequirements != null)
      sb.append("<OTHERPLATFORMREQUIREMENTS>"+otherplatformrequirements.imsWrite2XMLString()+"</OTHERPLATFORMREQUIREMENTS>\n");
     
    if(duration != null)
      sb.append(duration.imsWrite2XMLString());
    
    sb.append("</TECHNICAL>");
    return sb.toString();
  }

}
